using System;
using System.Data.SqlClient;
using Municipalidad.Utils;
using Remuneraciones.DataAccess;
using Remuneraciones.DataSetFT;

namespace Remuneraciones.BusinessObjects
{
	/// <summary>
	/// Descripción breve de Sindicato.
	/// </summary>
	public class RlsSindicato
	{
		public RlsSindicato()
		{
		}

		/// <summary>
		/// 
		/// </summary>
		/// <returns></returns>
		public DSSindicatos LoadByID(string idSindicato, string idEmpresa, int Mes, int Ano)
		{
			//SqlConnection utilizado para ejecutar el SqlCommand
			SqlConnection connection = null;

			//Almacena retorno del DataAccess
			DSSindicatos ds;

			try
			{
				//Abre la conexion
				connection = UtilsDB.GetConnection(Utils.GetAnoConnection(Ano));

				Sindicatos da = new Sindicatos(connection);
				ds = da.GetSindicatos(idSindicato, idEmpresa, Mes);
			}
			catch (Exception ex)
			{
				throw ex;
			}
			finally
			{
				if (connection != null)
					connection.Dispose();
			}

			return ds;
		}
	}
}
